Bug 103492 - Arabic words not formed well in textboxes when sentence begins with English word
Summary: Arabic words not formed well in textboxes when sentence begins with English word
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: RTL-Arabic RTL-Textbox
  Show dependency treegraph
 
Reported: 2016-10-25 12:32 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-10-13 03:14 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (9.45 KB, application/vnd.oasis.opendocument.text)
2016-10-25 12:32 UTC, Yousuf Philips (jay) (retired)
Details
screenshot (36.55 KB, image/png)
2017-10-02 18:18 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-10-25 12:32:15 UTC
Created attachment 128245 [details]
sample

Steps:
1) Open attached doc
2) Notice the differences between the arabic words in the 2 sentences in the document and the first two sentences in the textbox

Regression as things were better in 4.4.

Version: 5.3.0.0.alpha1+
Build ID: 928776b734c6aa188151bbce048d5bef4486dce7
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-10-23_00:39:08
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Xisco Faulí 2016-10-25 13:46:49 UTC
Confirmed in 

Version: 5.3.0.0.alpha0+
Build ID: 8974b0fafb18f9dd3f2c0e175a3255b80e4c249e
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

if it was better in 4.4, worth it to bibisect it
Comment 2 Xisco Faulí 2016-10-25 14:06:17 UTC
It was stil better in

Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)

so it needs to be bisected in 51max or 52max.

@raal: Do you want to bibisect it?
Comment 3 raal 2016-10-27 18:41:13 UTC
393b5a03e8a580103cc31ca4752396032838ecdb is the first bad commit
commit 393b5a03e8a580103cc31ca4752396032838ecdb
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sun Sep 13 18:21:45 2015 -0700

    source sha:41007842ed9bb5d6165792a197769f72dae55a2c
author    Martin Hosken <martin_hosken@sil.org>    2015-09-10 03:14:18 (GMT)
committer    Martin Hosken <martin_hosken@sil.org>    2015-09-14 01:16:40 (GMT)
commit    41007842ed9bb5d6165792a197769f72dae55a2c (patch)
tree    3db9834122c1a6b43bd2428129629a6f66669978
parent    35fd0cf311d0ab6e647ef8a244f350d8a690e734 (diff)
Refactor graphite integration and update graphite
   
git bisect log
# bad: [05d11632892a322664fb52bac90b2598b7fb7544] source sha:5616d22b57a9a5e57d545e912e029162a230829b
# good: [c1efd324c6ad448ac9edb030dc9738b9e6899e4d] source sha:ab465b90f6c6da5595393a0ba73f33a1e71a2b65
git bisect start 'origin/master' 'oldest'
# good: [97526ab777da7e58ce283c05498262ecdd4d6f7f] source sha:4ea70f87f7a2b61eda6e5ab1f48debf6fcfadc1f
git bisect good 97526ab777da7e58ce283c05498262ecdd4d6f7f
# bad: [86fee7ded76d9c2756ccab6aef160a2d7fab0ab6] source sha:1b62841b1859ae3443e2bf1ebe99ec3d6afb6cc2
git bisect bad 86fee7ded76d9c2756ccab6aef160a2d7fab0ab6
# bad: [ecd02a00b3cb479dcecd6a2539e2f4140cd8158f] source sha:f45ac62a20b80033a7f5ccdef4a6c116b6fece24
git bisect bad ecd02a00b3cb479dcecd6a2539e2f4140cd8158f
# bad: [6629f1abc962685b1c83b088dff82517bb2f1691] source sha:5496f2a3ee8e76dda6d1c393308be1e9bbb90d6e
git bisect bad 6629f1abc962685b1c83b088dff82517bb2f1691
# good: [a5f968795bf60a73039ae687b366800b7929f17c] source sha:6917cd98ca6b6fd2d495d0257c7fe50611982d34
git bisect good a5f968795bf60a73039ae687b366800b7929f17c
# good: [368c6e35342202ca22c81feecd66f9073d1e3d8e] source sha:a37535e3ff7be959d9a3aab3399ffbcc89688662
git bisect good 368c6e35342202ca22c81feecd66f9073d1e3d8e
# bad: [ab5f30fb13db2e0dbf317e87f8626cb1dfc8f234] source sha:584d55178d2e390e60355b18bbac4be16fe750dd
git bisect bad ab5f30fb13db2e0dbf317e87f8626cb1dfc8f234
# bad: [31777579f3e0cf27599cdeecd2d54140bb8aa92e] source sha:6532cb0e5ec3a59c248b332e868c4c03c31659f1
git bisect bad 31777579f3e0cf27599cdeecd2d54140bb8aa92e
# bad: [20f8cc90e939167b90170a9ecf1fc143975280ca] source sha:0e916b4143b2c46fec6df25cce6f14b595d5b023
git bisect bad 20f8cc90e939167b90170a9ecf1fc143975280ca
# good: [1db296d58ea920df1c5a23cc35720c4084b1ae63] source sha:47d3e82e4f2c0c06231c952a0cc2456b712da0cc
git bisect good 1db296d58ea920df1c5a23cc35720c4084b1ae63
# good: [bcae2a9e9aeb8394df93fb275b55873d3dbc2829] source sha:168ad25711c0bd6e3a025b083312e3ed2d237933
git bisect good bcae2a9e9aeb8394df93fb275b55873d3dbc2829
# good: [6f8dba2f7237c74c6d627cbcdec2c515b2f6cb0b] source sha:d8160fa8343a395cff0116286dd24894b076c02b
git bisect good 6f8dba2f7237c74c6d627cbcdec2c515b2f6cb0b
# bad: [393b5a03e8a580103cc31ca4752396032838ecdb] source sha:41007842ed9bb5d6165792a197769f72dae55a2c
git bisect bad 393b5a03e8a580103cc31ca4752396032838ecdb
# good: [69568d9d51758db13ffd336e65561c4b72978d33] source sha:35fd0cf311d0ab6e647ef8a244f350d8a690e734
git bisect good 69568d9d51758db13ffd336e65561c4b72978d33
# first bad commit: [393b5a03e8a580103cc31ca4752396032838ecdb] source sha:41007842ed9bb5d6165792a197769f72dae55a2c
Comment 4 Xisco Faulí 2017-03-10 14:44:35 UTC
updating affected version
Comment 5 Yousuf Philips (jay) (retired) 2017-10-02 18:18:49 UTC
Created attachment 136707 [details]
screenshot
Comment 6 Yousuf Philips (jay) (retired) 2017-10-02 18:19:14 UTC
still present

Version: 6.0.0.0.alpha0+
Build ID: a2a3e06a29077d4274dc15eea28a01afe22e3658
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 7 QA Administrators 2018-10-13 03:14:17 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug